<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <strong><font color="#A020F0">Expanded</font></strong> <a href="UREAL_16_16.html"><font color="#008000">UREAL_16_16</font></a> -> <a href="REAL_32.html"><font color="#008000">REAL_32</font></a>, <a href="REAL_64.html"><font color="#008000">REAL_64</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> := <font color="#BC8F8F">"unsigned 16.16 fixed float."</font>;
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">type</font></strong>    := <em><strong><font color="#A4DEA4">`signed long`</font></strong></em>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">default</font></strong> := (<font color="#A020F0">0</font>.<font color="#0000FF">to_raw_ureal_16_16</font>);
    
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Insert</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_unsigned_fixed_real</font></strong>:<a href="UNSIGNED_FIXED_REAL.html"><font color="#008000">UNSIGNED_FIXED_REAL</font></a> := 

<br><br><strong><font color="#A020F0">Section</font></strong> <font color="#008000">SELF</font>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">shift_bits</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <- 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Range.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">maximum</font></strong>:<a href="UINTEGER_64.html"><font color="#008000">UINTEGER_64</font></a> <-  
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Convertion format with test.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_real_16_16</font></strong>:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a> <- 
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Convertion</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">append_in</font></strong> buffer:<a href="STRING.html"><font color="#008000">STRING</font></a> <- 
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Append in the `buffer' the equivalent of `to_string'. No new STRING</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  creation during the process.</font></strong></em>
    
  
  
  
  
  
  
  
  
</body>
</html>

